Subject: [hybi] I-D Action:draft-ietf-hybi-thewebsocketprotocol-00.txt

From: [email-masked]
Date: Sat, 22 May 2010 23:45:02 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the BiDirectional or Server-Initiated HTTP Working Group of the IETF.

	Title           : The WebSocket protocol
	Author(s)       : I. Hickson
	Filename        : draft-ietf-hybi-thewebsocketprotocol-00.txt
	Pages           : 55
	Date            : 2010-05-22

The WebSocket protocol enables two-way communication between a user
agent running untrusted code running in a controlled environment to a
remote host that has opted-in to communications from that code.  The
security model used for this is the Origin-based security model
commonly used by Web browsers.  The protocol consists of an initial
handshake followed by basic message framing, layered over TCP.  The
goal of this technology is to provide a mechanism for browser-based
applications that need two-way communication with servers that does
not rely on opening multiple HTTP connections (e.g. using
XMLHttpRequest or <iframe>s and long polling).

NOTE!  THIS COPY OF THIS DOCUMENT IS OBSOLETE.

For an up-to-date copy of this specification, please see:

http://www.whatwg.org/specs/web-socket-protocol/Author's note

This document is automatically generated from the same source
document as the HTML specification.  [HTML]

Please send feedback to either the [email-masked] list or the
[email-masked] list.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-hybi-thewebsocketprotocol-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Julian Reschke <[email-masked]>
Date: Sun, 23 May 2010 12:55:56 +0200

On 23.05.2010 08:45, [email-masked] wrote:
> ...

Doing some routine checks, see 
<http://tools.ietf.org/idnits?url=http://tools.ietf.org/id/draft-ietf-hybi-thewebsocketprotocol-00.txt>:

> idnits 2.12.04
>
> tmp/draft-ietf-hybi-thewebsocketprotocol-00.txt:
>
>   Checking boilerplate required by RFC 5378 and the IETF Trust (see
>   http://trustee.ietf.org/license-info):
>   ----------------------------------------------------------------------------
>
>      No issues found here.
>
>   Checking nits according to http://www.ietf.org/id-info/1id-guidelines.txt:
>   ----------------------------------------------------------------------------
>
>      No issues found here.
>
>   Checking nits according to http://www.ietf.org/id-info/checklist :
>   ----------------------------------------------------------------------------
>
>   ** There are 5 instances of too long lines in the document, the longest one
>      being 53 characters in excess of 72.

Some of these seem to be long ABNF comments; this is easily fixed by 
making them multi-line.

>   Miscellaneous warnings:
>   ----------------------------------------------------------------------------
>
>   == The document doesn't use any RFC 2119 keywords, yet has text resembling
>      RFC 2119 boilerplate text.

Indeed.

>   Checking references for intended status: Proposed Standard
>   ----------------------------------------------------------------------------
>
>      (See RFCs 3967 and 4897 for information about using normative references
>      to lower-maturity documents in RFCs)
>
>   -- Possible downref: Non-RFC (?) normative reference: ref. 'HTML'

As far as I can tell, the only normative use of [HTML] is for treating 
broken URIs; I'm pretty sure we want to get rid of that dependency at 
some point of time.

>   -- Possible downref: Non-RFC (?) normative reference: ref. 'ORIGIN'

This should be a proper ID citation (which requires "work in progress" etc).

If we need a normative dependency on this spec we'll need to ensure that 
it actually progresses.

>   ** Obsolete normative reference: RFC 2109 (Obsoleted by RFC 2965)

I recommend to cite draft-ietf-httpstate-cookie instead (for both 2109 
and 2965).

>   ** Obsolete normative reference: RFC 2246 (Obsoleted by RFC 4346)
>
>   ** Obsolete normative reference: RFC 4366 (Obsoleted by RFC 5246)

To be determined by the TSL experts...

>   -- Possible downref: Non-RFC (?) normative reference: ref. 'WEBADDRESSES'

That spec isn't maintained. Let's try to get rid of that dependency.

>   -- Possible downref: Non-RFC (?) normative reference: ref. 'WSAPI'

Looking at the Abstract:

>    http://www.whatwg.org/specs/web-socket-protocol/

1) Comments like this do not belong into the Abstract itself; but they 
*can* be added to a "Note" on the front page.

2) That being said, I do understand the purpose, but this should be 
rephrased pointing out that a published ID is just a snapshot, and that 
there may be a work-in-progress somewhere else. I'd recommend to host 
that work-in-progress in the Working Group's subversion repository.

Looking at the IANA registrations:

- the change controller will need to be the IETF.

Finally: it would be great if the XML version was posted as well (for 
instance, that would make it easier to check the ABNF parts without 
having to manually extract them).

Best regards, Julian